/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.jameica.orverw.gui.action;

import java.util.ArrayList;
import java.util.List;

import de.frankmuenster.jameica.orverw.db.rmi.Ordner;
import de.frankmuenster.jameica.orverw.gui.dialog.PrintDialog;
import de.frankmuenster.jameica.orverw.util.I18N;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.system.OperationCanceledException;
import de.willuhn.util.ApplicationException;

/**
 * Action to open the PrintDialog
 *
 * @author Frank Mnster
 *
 */
public class ViewPrintDialogDialog implements Action {

    /**
     * Standart-Kostruktor
     */
    public ViewPrintDialogDialog() {
	// intentionally left blank
    }

    /**
     * @see de.willuhn.jameica.gui.Action#handleAction(java.lang.Object)
     */
    @Override
    public void handleAction(final Object context) throws ApplicationException { // NOPMD

	if (context == null || !(context instanceof Ordner) && !(context instanceof Ordner[])) {
	    throw new ApplicationException(I18N.tr("ViewPrintDialogDialog.noFoldersChosen")); //$NON-NLS-1$
	}

	final List<Ordner> ordnerList = new ArrayList<>();
	if (context instanceof Ordner) {
	    ordnerList.add((Ordner) context);
	} else {
	    for (final Ordner ordner : (Ordner[]) context) {
		ordnerList.add(ordner);
	    }

	}
	try {
	    final PrintDialog printDialog = new PrintDialog(ordnerList);
	    printDialog.open();
	} catch (final OperationCanceledException e) { // NOPMD
	    // Hier machen wir nix :-)
	} catch (final Exception e) { // NOPMD
	    throw new ApplicationException(I18N.tr("ViewPrintDialogDialog.errorOpenDialog"), e); //$NON-NLS-1$
	}

    }

}
