/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.jameica.orverw.gui.menu;

import de.frankmuenster.jameica.orverw.gui.action.OrdnerDeleteAction;
import de.frankmuenster.jameica.orverw.gui.action.OrdnerNewAction;
import de.frankmuenster.jameica.orverw.gui.action.OrdnerOpenAction;
import de.frankmuenster.jameica.orverw.gui.action.ViewPrintDialogDialog;
import de.frankmuenster.jameica.orverw.util.I18N;
import de.willuhn.jameica.gui.parts.CheckedContextMenuItem;
import de.willuhn.jameica.gui.parts.ContextMenu;
import de.willuhn.jameica.gui.parts.ContextMenuItem;

/**
 * Kontextmen&uuml; der Ordnertabelle
 *
 * @author Frank Mnster
 *
 */
public class OrdnerTableMenu extends ContextMenu {

    /**
     * Konstruktor f&uuml;r das Kontextmen&uuml; der Ordnertablle
     */
    public OrdnerTableMenu() {

	super();

	// CheckedContextMenuItems will be disabled, if the user clicks into
	// an empty space of the table

	addItem(new CheckedContextMenuItem(I18N.tr("_open"), //$NON-NLS-1$
		new OrdnerOpenAction(), "folder-open.png")); //$NON-NLS-1$
	addItem(new CheckedContextMenuItem(I18N.tr("_delete"), //$NON-NLS-1$
		new OrdnerDeleteAction(), "window-close.png")); //$NON-NLS-1$
	// separator
	addItem(ContextMenuItem.SEPARATOR);
	addItem(new ContextMenuItem(I18N.tr("OrdnerTableMenu.addNew"), //$NON-NLS-1$
		new OrdnerNewAction(), "document-new.png")); //$NON-NLS-1$
	addItem(ContextMenuItem.SEPARATOR);
	addItem(new CheckedContextMenuItem(I18N.tr("_print"), //$NON-NLS-1$
		new ViewPrintDialogDialog(), "document-print.png")); //$NON-NLS-1$

    }

}
