/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.jameica.orverw.gui.navigation;

import java.rmi.RemoteException;

import de.frankmuenster.jameica.orverw.gui.action.ViewOrdnerVerwaltungAction;
import de.frankmuenster.jameica.orverw.util.I18N;
import de.willuhn.jameica.gui.NavigationItem;
import de.willuhn.jameica.gui.extension.Extendable;
import de.willuhn.jameica.gui.extension.Extension;
import de.willuhn.logging.Logger;

/**
 * Extent the jamaica menu tree and adds the folder manager
 *
 * @author Frank Mnster
 *
 */
public class OrdnerVerwaltungExtension implements Extension {

    /**
     * Standart-Konstruktor
     */
    public OrdnerVerwaltungExtension() {
	// intentionally left blank
    }

    /**
     * @see Extension#extend(Extendable)
     */
    @Override
    public void extend(final Extendable extendable) {
	try {
	    final NavigationItem aktVerw = (NavigationItem) extendable;
	    aktVerw.addChild(new OrdnerVerwaltungItem(aktVerw, I18N.tr("OrdnerVerwaltungExtension.menuTitle"), //$NON-NLS-1$
		    new ViewOrdnerVerwaltungAction(), "ordner.png")); //$NON-NLS-1$

	} catch (final RemoteException e) {
	    Logger.error(I18N.tr("OrdnerVerwaltungExtension.errorExtentingMenuTxt")); //$NON-NLS-1$
	}
    }

}
