/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.jameica.orverw.gui.views;

import java.rmi.RemoteException;

import de.frankmuenster.jameica.orverw.gui.controller.LicenseControl;
import de.frankmuenster.jameica.orverw.util.I18N;
import de.willuhn.jameica.gui.AbstractView;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.jameica.gui.Part;

/**
 * View die Lizenz-Informationen anzeigt Basiert auf der LicenseView aus dem
 * Hibiscus-Plugin von Olaf Willuhn
 *
 * @author Frank Mnster
 * @since 1.0
 *
 */
public class LicenseView extends AbstractView {

    /**
     * Standartkonstruktor
     */
    public LicenseView() {
	super();
    }

    /**
     * @see de.willuhn.jameica.gui.AbstractView#bind()
     */
    @Override
    public void bind() throws RemoteException {
	GUI.getView().setTitle(I18N.tr("LicenseView.title")); //$NON-NLS-1$

	final LicenseControl ctrl = new LicenseControl(this);
	final Part lib = ctrl.getLibList();
	lib.paint(getParent());
    }

}
