/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/
package de.frankmuenster.jameica.orverw.parts;

import de.frankmuenster.jameica.orverw.util.I18N;

/**
 * Eine Aufz&auml;hlung aller verf&uuml;gbaren Ordner-Register.
 *
 * @author Frank Mnster
 *
 */
public enum RegisterTypEnum {

    /**
     * Alle Zeichen von A-Z
     */
    BUCHSTABEN_1(I18N.tr("RegisterTypEnum.azType1"), new String[] { "A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z" }, I18N.tr("RegisterTypEnum.allAtoZ")), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$ //$NON-NLS-9$ //$NON-NLS-10$ //$NON-NLS-11$ //$NON-NLS-12$ //$NON-NLS-13$ //$NON-NLS-14$ //$NON-NLS-15$ //$NON-NLS-16$ //$NON-NLS-17$ //$NON-NLS-18$ //$NON-NLS-19$ //$NON-NLS-20$ //$NON-NLS-21$ //$NON-NLS-22$ //$NON-NLS-23$ //$NON-NLS-24$ //$NON-NLS-25$ //$NON-NLS-26$ //$NON-NLS-27$ //$NON-NLS-28$

    /**
     * Liste mit 20 Indexen und den Buchstaben
     * A,B,CD,E-H,IJ,K-M,NO,PQ,R-S,Sch,St,T-V,W,XZ
     */
    BUCHSTABEN_2(I18N.tr("RegisterTypEnum.azType2"), new String[] { "A", "B", "CD", "E", "F", "G", "H", "IJ", "K", "L", "M", "NO", "PQ", "R", "S", "Sch", "St", "T-V", "W", "X-Z" }, I18N.tr("RegisterTypEnum.char20")), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$ //$NON-NLS-9$ //$NON-NLS-10$ //$NON-NLS-11$ //$NON-NLS-12$ //$NON-NLS-13$ //$NON-NLS-14$ //$NON-NLS-15$ //$NON-NLS-16$ //$NON-NLS-17$ //$NON-NLS-18$ //$NON-NLS-19$ //$NON-NLS-20$ //$NON-NLS-21$ //$NON-NLS-22$

    /**
     * Zahlen 1-5
     */
    ZAHLEN_5(I18N.tr("RegisterTypEnum.oneToFive"), new String[] { "1", "2", "3", "4", "5" }, I18N.tr("RegisterTypEnum.number1to5")), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$

    /**
     * Zahlen 1-10
     */
    ZAHLEN_10(I18N.tr("RegisterTypEnum.oneToTen"), new String[] { "1", "2", "3", "4", "5", "6", "7", "8", "9", "10" }, I18N.tr("RegisterTypEnum.number1To10")), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$ //$NON-NLS-9$ //$NON-NLS-10$ //$NON-NLS-11$ //$NON-NLS-12$

    /**
     * Zahlen 1-12
     */
    ZAHLEN_12(I18N.tr("RegisterTypEnum.oneToTwelf"), new String[] { "1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "11", "12" }, I18N.tr("RegisterTypEnum.number1To12")), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$ //$NON-NLS-9$ //$NON-NLS-10$ //$NON-NLS-11$ //$NON-NLS-12$ //$NON-NLS-13$ //$NON-NLS-14$

    /**
     * Zahlen 1-15
     */
    ZAHLEN_15(I18N.tr("RegisterTypEnum.oneToFiveteen"), new String[] { "1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "11", "12", "13", "14", "15" }, I18N.tr("RegisterTypEnum.number1To15")), //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$ //$NON-NLS-9$ //$NON-NLS-10$ //$NON-NLS-11$ //$NON-NLS-12$ //$NON-NLS-13$ //$NON-NLS-14$ //$NON-NLS-15$ //$NON-NLS-16$ //$NON-NLS-17$

    /**
     * Zahlen 1-20
     */
    ZAHLEN_20(I18N.tr("RegisterTypEnum.oneToTwenty"), new String[] { "1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20" }, I18N.tr("RegisterTypEnum.number1To20")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$ //$NON-NLS-9$ //$NON-NLS-10$ //$NON-NLS-11$ //$NON-NLS-12$ //$NON-NLS-13$ //$NON-NLS-14$ //$NON-NLS-15$ //$NON-NLS-16$ //$NON-NLS-17$ //$NON-NLS-18$ //$NON-NLS-19$ //$NON-NLS-20$ //$NON-NLS-21$ //$NON-NLS-22$

    /**
     * Die Beschreibung des Registertypes
     */
    private String tooltip;

    /**
     * Bezeichnung des Registertypes
     */
    private String titel;

    /**
     * Array mit den Werten des Registertypes
     */
    private String[] index;

    private RegisterTypEnum(final String titel, final String[] index, final String tooltip) {
	this.titel = titel;
	this.index = index.clone();
	this.tooltip = tooltip;
    }

    /**
     * @return den Indexbereich als Array
     */
    public String[] getIndex() {
	return this.index.clone();
    }

    /**
     * @return den Titel
     */
    public String getTitel() {
	return this.titel;
    }

    /**
     * @return einen Tooltiptext
     */
    public String getTooltip() {
	return this.tooltip;
    }

}
