/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.jameica.orverw.parts.labelpart.buttons;

import de.frankmuenster.jameica.orverw.parts.labelpart.LabelPartSectionsEnum;

/**
 * Der Listener f&uuml;r die Label Buttons. Er &uuml;bergibt den Bereich und den Button der gedr&uuml;ckt wurde.
 *
 * @author Frank Mnster
 * @since 1.0
 */
public interface LabelButtonListener {

    /**
     * notifies registered listener that a button was clicked
     * 
     * @param section
     *            the section containing the button that was clicked
     * @param button
     *            the button type that was clicked
     */
    void notifyInputButtonClicked(LabelPartSectionsEnum section, LabelPartButtonsEnum button);

}
